;*********************************************************************
; FAT CONTROLLER ~ MIDI to CV Converter                              *
;*********************************************************************
; (c) 2002 SM-Sound / Seb Francis                                    *
;*********************************************************************
;
; String table (located in program bank 3)
;
;*********************************************************************


; Must be aligned on an address divisible by 8 !!
StringTable
	org	StringTable + 8 - (StringTable % 8)

; Config pages
ConfigMenuStrings
sBASE_CHA	dt "BASE CHA"
sCTRL_CHA	dt "CTRL CHA"
sMODE		dt "MODE    "
sL_RETRIG	dt "L.RETRIG"
sN_O_GATE	dt "N.O GATE"
sVELOCITY	dt "VELOCITY"
sPORTA		dt "PORTA   "
sPORTA_T1	dt "PORTA T1"
sPORTA_T2	dt "PORTA T2"
sPORTA_T3	dt "PORTA T3"
sP_BEND_1	dt "P BEND 1"
sP_BEND_2	dt "P BEND 2"
sP_BEND_3	dt "P BEND 3"
sOCTAVE_1	dt "OCTAVE 1"
sOCTAVE_2	dt "OCTAVE 2"
sOCTAVE_3	dt "OCTAVE 3"
sLFO1_TIM	dt "LFO1 TIM"
sLFO1_WAV	dt "LFO1 WAV"
sLFO1_SYN	dt "LFO1 SYN"
sLFO1_AMT	dt "LFO1 AMT"
sLFO1_DST	dt "LFO1 DST"
sLFO2_TIM	dt "LFO2 TIM"
sLFO2_WAV	dt "LFO2 WAV"
sLFO2_SYN	dt "LFO2 SYN"
sLFO2_AMT	dt "LFO2 AMT"
sLFO2_DST	dt "LFO2 DST"
sENV1_TRG	dt "ENV1 TRG"
sENV1_ATT	dt "ENV1 ATT"
sENV1_ATL	dt "ENV1 ATL"
sENV1_DEC	dt "ENV1 DEC"
sENV1_SUS	dt "ENV1 SUS"
sENV1_REL	dt "ENV1 REL"
sENV1_DST	dt "ENV1 DST"
sENV2_TRG	dt "ENV2 TRG"
sENV2_ATT	dt "ENV2 ATT"
sENV2_ATL	dt "ENV2 ATL"
sENV2_DEC	dt "ENV2 DEC"
sENV2_SUS	dt "ENV2 SUS"
sENV2_REL	dt "ENV2 REL"
sENV2_DST	dt "ENV2 DST"

; Assignment pages
AssignMenuStrings
sCV_CHA		dt "OUTPUT  "
sSOURCE		dt "SOURCE  "
sAMOUNT		dt "AMOUNT  "

; Prompts and other messages
sSAVE_CONFIG_T	dt "  SAVE  "
sSAVE_CONFIG_B	dt " CONFIG?"

sOVERRUN	dt "OVERRUN "
sFRAMING	dt "FRAMING "
sTOO_SLOW	dt "TOO SLOW"
sERROR		dt "ERROR ! "

; Value strings
sOff		dt "Off     "
sLegato1	dt "Legato 1"
sLegato2	dt "Legato 2"
sLegato3	dt "Legato 3"
sOn		dt "On      "
sOff2		dt "Off     "
sOn2		dt "On      "
s1_Cha		dt "1 Cha   "
s2_Cha		dt "2 Cha   "
s3_Cha		dt "3 Cha   "
sPoly		dt "Poly    "
sSine		dt "Sine    "
sTriangle	dt "Triangle"
sSaw_Down	dt "Saw Down"
sSaw_Up		dt "Saw Up  "
sSquare		dt "Square  "
sRandom		dt "Random  "
sGate_1		dt "Gate 1  "
sGate_2		dt "Gate 2  "
sGate_3		dt "Gate 3  "
sOff3		dt "Off     "
sP_Bend		dt "P Bend  "
sPressure	dt "Pressure"
sCC_Learn	dt "CC Learn"

	
; --------------------------------
